import './i18next'
import { ApolloProvider } from '@apollo/client'
import { createApolloClient } from './apolloClient'
import providers from 'react-manage-providers'
import { ThemeProvider, CssBaseline, Theme } from '@mui/material'
import theme from './createMuiTheme'
import React from 'react'
import ReactDOM from 'react-dom'
import App from './App'
import { Provide } from 'react-manage-providers'
import reportWebVitals from './reportWebVitals'

// initialize apollo client
const client = createApolloClient(() => 'bearer_token')
providers.push(ApolloProvider, { client })

// initialize MUI theme
const MuiThemeProvider = ({ theme, children }: React.PropsWithChildren<{ theme: Theme }>) => <ThemeProvider theme={theme}>
  <CssBaseline />
  {children}
</ThemeProvider>
providers.push(MuiThemeProvider, { theme })

// Render app
ReactDOM.render(
  <React.StrictMode>
    <Provide>
      <App />
    </Provide>
  </React.StrictMode>,
  document.getElementById('root')
)

// If you want to start measuring performance in your app, pass a function
// to log results (for example: reportWebVitals(console.log))
// or send to an analytics endpoint. Learn more: https://bit.ly/CRA-vitals
reportWebVitals()
